#ifndef __GPS_H__
#define __GPS_H__

#include <TinyGPS++.h>

class Gps
{
    public:
        void init();
        bool checkGpsFix();
        bool buildPacket(uint8_t txBuffer[]);
        void gdisplay(uint16_t dispBuffer[]);
        void encode();

    private:
        uint32_t LatitudeBinary, LongitudeBinary;
        uint16_t altitudeGps;
        uint8_t hdopGps;
        TinyGPSPlus tGps;
        TinyGPSCustom satsInView; 
};

#endif